Changeset 97c5024a in rtems-libbsd for libbsd.py


Ignore:
Timestamp:
Apr 18, 2016, 12:53:20 AM (4 years ago)
Author:
Chris Johns <chrisj@…>
Branches:
c1e05b9ea378b2971e3d7704779112b4bc4296da, freebsd-9.3, 4a77611a223ea883fb548679b516d326a020d447
Children:
00a7956
Parents:
891a756
Message:

Add RTEMS version support, update all python to 2 and 3.

Add support to force the RTEMS version. This remove the need for using
the --rtems-version command line option if the automatic detection fails.

Update all python code to support python 2 and 3.

Update rtems_waf to the latest version to support the RTEMS version,
check environment variables and to display the CC version.

Sort all tests. I think the unsorted list is dependent on the version
of python and so would result in repo noise as if it regenerted.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • libbsd.py

    r891a756 r97c5024a  
    11#
    2 #  Copyright (c) 2015 Chris Johns <chrisj@rtems.org>. All rights reserved.
     2#  Copyright (c) 2015-2016 Chris Johns <chrisj@rtems.org>. All rights reserved.
    33#
    44#  Copyright (c) 2009-2015 embedded brains GmbH.  All rights reserved.
     
    3434
    3535import builder
     36
     37#
     38# RTEMS version
     39#
     40def rtems_version():
     41    return '4.12'
    3642
    3743#
Note: See TracChangeset for help on using the changeset viewer.